import { Component } from '@angular/core';
import { SettingsService } from '../shared-services/settings.service';

@Component({
  selector: 'app-details',
  templateUrl: './details.component.html',
  styleUrls: ['./details.component.css']
})

export class DetailsComponent {
  private customerGeneralDataIndicator = 'fa-chevron-circle-up';
  private customerSalesAreaDataIndicator = 'fa-chevron-circle-up';
  private additionalDataIndicator = 'fa-chevron-circle-up';
  private blockingDataIndicator = 'fa-chevron-circle-up';
  private historyIndicator = 'fa-chevron-circle-up';

  constructor(private settingsService: SettingsService) { }

  private onCustomerGeneralDataLinkClick() {
    if (this.customerGeneralDataIndicator.endsWith('up')) {
      this.customerGeneralDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.customerGeneralDataIndicator = 'fa-chevron-circle-up';
    }
  }

  private onCustomerSalesAreaDataLinkClick() {
    if (this.customerSalesAreaDataIndicator.endsWith('up')) {
      this.customerSalesAreaDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.customerSalesAreaDataIndicator = 'fa-chevron-circle-up';
    }
  }

  private onAdditionalDataLinkClick() {
    if (this.additionalDataIndicator.endsWith('up')) {
      this.additionalDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.additionalDataIndicator = 'fa-chevron-circle-up';
    }
  }

  private onBlockingDataLinkClick() {
    if (this.blockingDataIndicator.endsWith('up')) {
      this.blockingDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.blockingDataIndicator = 'fa-chevron-circle-up';
    }
  }

  private onHistoryLinkClick() {
    if (this.historyIndicator.endsWith('up')) {
      this.historyIndicator = 'fa-chevron-circle-down';
    } else {
      this.historyIndicator = 'fa-chevron-circle-up';
    }
  }
}
