import { Injectable } from '@angular/core';

declare var jQuery: any;
declare var Spinner: any;

@Injectable()
export class BusyIndicatorService {
  private spinner: any;
  constructor() { }

  showBusyIndicator(msg: string) {
    jQuery('#busyIndicator').fadeIn();
    const opts = {
      lines: 13 // The number of lines to draw
      , length: 28 // The length of each line
      , width: 14 // The line thickness
      , radius: 42 // The radius of the inner circle
      , scale: .6 // Scales overall size of the spinner
      , corners: 1 // Corner roundness (0..1)
      , color: '#000' // #rgb or #rrggbb or array of colors
      , opacity: 0.25 // Opacity of the lines
      , rotate: 0 // The rotation offset
      , direction: 1 // 1: clockwise, -1: counterclockwise
      , speed: 1 // Rounds per second
      , trail: 60 // Afterglow percentage
      , fps: 20 // Frames per second when using setTimeout() as a fallback for CSS
      , zIndex: 2e9 // The z-index (defaults to 2000000000)
      , className: 'spinner' // The CSS class to assign to the spinner
      , top: '50%' // Top position relative to parent
      , left: '50%' // Left position relative to parent
      , shadow: false // Whether to render a shadow
      , hwaccel: false // Whether to use hardware acceleration
      , position: 'absolute' // Element positioning
    };
    const target = document.getElementById('busyIndicator');
    this.spinner = new Spinner(opts).spin(target);

    jQuery('#busySpinner').html(msg);
  }

  hideBusyIndicator() {
    jQuery('#busyIndicator').fadeOut();
    this.spinner.stop();
  }
}
