import { Injectable } from '@angular/core';
import { CMF } from '../shared-types/cmf';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';
import { FILTERSETTINGS } from '../shared-types/filter-settings';
import { OWLENVIRONMENT } from '../shared-types/owlenvironment';
import { CatchAllListsService } from '../shared-services/catch-all-lists.service';

@Injectable()
export class SettingsService {
  private environmentChangedSubject = new Subject<any>();

  filterSettings: FILTERSETTINGS = new FILTERSETTINGS();
  isBasic = true;
  selectedCMF: CMF = null;
  selectedDatabaseEnv: OWLENVIRONMENT;
  selectedSharepointEnv: OWLENVIRONMENT;

  constructor(private catchAllListsService: CatchAllListsService) { }

  setSelectedCMF(cmf: CMF) {
    this.selectedCMF = cmf;
  }

  setSelectedDatabaseEnv(databaseEnvName: string) {
    this.selectedDatabaseEnv = this.catchAllListsService.databaseEnvList.find(x => x.Name === databaseEnvName);

    this.environmentChangedSubject.next(true);
  }

  setSelectedSharepointEnv(sharepointEnvName: string) {
    this.selectedSharepointEnv = this.catchAllListsService.sharepointEnvList.find(x => x.Name === sharepointEnvName);

    this.environmentChangedSubject.next(true);
  }

  getEnvironmentChangedSubscription(): Observable<any> {
    return this.environmentChangedSubject.asObservable();
  }
}
